<!--
 Copyright (C) 2024 bAvenir

 This program and the accompanying materials are made
 available under the terms of the Eclipse Public License 2.0
 which is available at https://www.eclipse.org/legal/epl-2.0/

 SPDX-License-Identifier: EPL-2.0
-->

<div class="w-full h-full section-p-0 flex flex-col">
  <div class="px-1 pt-1">
    <p-tabMenu [model]="items">
      <ng-template pTemplate="item" let-item>
        <div class="flex items-center gap-3 p-menuitem-link cursor-pointer leading-none" [routerLink]="item.routerLink">
          <i [class]="item.icon"></i>
          <div class="flex items-center gap-1">
            <div>{{ item.label }}</div>
            <ng-container *ngLet="$any(item.contractIdentities$ | async) as itentities">
              <div>({{ itentities?.length  }})</div>
            </ng-container>
          </div>
          <div *ngIf="item.indicate" class="relative">
            <div class="absolute top-0 left-0 animate-ping rounded-full bg-yellow size-2"></div>
            <div class="rounded-full bg-yellow size-2"></div>
          </div>
        </div>
      </ng-template>
    </p-tabMenu>
  </div>
  <div class="grow w-full overflow-y-auto p-3">
    <ng-container *ngLet="initializing$ | async as initializing">
      <app-table-skeleton *ngIf="initializing"> </app-table-skeleton>
      <ng-container *ngIf="!initializing">
        <router-outlet></router-outlet>
      </ng-container>
    </ng-container>
  </div>
</div>
